/*
 * This source file was generated by FireStorm/DAO.
 * 
 * If you purchase a full license for FireStorm/DAO you can customize this header file.
 * 
 * For more information please visit http://www.codefutures.com/products/firestorm
 */

package umgnotas.eis.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/** 
 * This class represents the primary key of the tb_sede table.
 */
public class TbSedePk implements Serializable
{
	protected Integer sedCodigo;

	/** 
	 * Sets the value of sedCodigo
	 */
	public void setSedCodigo(Integer sedCodigo)
	{
		this.sedCodigo = sedCodigo;
	}

	/** 
	 * Gets the value of sedCodigo
	 */
	public Integer getSedCodigo()
	{
		return sedCodigo;
	}

	/**
	 * Method 'TbSedePk'
	 * 
	 */
	public TbSedePk()
	{
	}

	/**
	 * Method 'TbSedePk'
	 * 
	 * @param sedCodigo
	 */
	public TbSedePk(final Integer sedCodigo)
	{
		this.sedCodigo = sedCodigo;
	}

	/**
	 * Method 'equals'
	 * 
	 * @param _other
	 * @return boolean
	 */
	public boolean equals(Object _other)
	{
		if (_other == null) {
			return false;
		}
		
		if (_other == this) {
			return true;
		}
		
		if (!(_other instanceof TbSedePk)) {
			return false;
		}
		
		final TbSedePk _cast = (TbSedePk) _other;
		if (sedCodigo == null ? _cast.sedCodigo != sedCodigo : !sedCodigo.equals( _cast.sedCodigo )) {
			return false;
		}
		
		return true;
	}

	/**
	 * Method 'hashCode'
	 * 
	 * @return int
	 */
	public int hashCode()
	{
		int _hashCode = 0;
		if (sedCodigo != null) {
			_hashCode = 29 * _hashCode + sedCodigo.hashCode();
		}
		
		return _hashCode;
	}

	/**
	 * Method 'toString'
	 * 
	 * @return String
	 */
	public String toString()
	{
		StringBuffer ret = new StringBuffer();
		ret.append( "umgnotas.eis.dto.TbSedePk: " );
		ret.append( "sedCodigo=" + sedCodigo );
		return ret.toString();
	}

}
